package com.ytpm.oauth.model;

public class CaptchaValid {
    /**
     * 是否显示验证码
     */
    private Boolean showCaptcha;

    /**
     * 设置密码错误多少次显示验证码
     */
    private Integer settingErrorCountCaptcha;

    /**
     * 生成验证码主键
     */
    private String uuid;

    /**
     * 密码错误次数
     */
    private Integer errorCount;

    /**
     * 验证码
     */
    private String captcha;

    public Boolean getShowCaptcha() {
        return showCaptcha;
    }

    public Integer getSettingErrorCountCaptcha() {
        return settingErrorCountCaptcha;
    }

    public String getUuid() {
        return uuid;
    }

    public Integer getErrorCount() {
        return errorCount;
    }

    public String getCaptcha() {
        return captcha;
    }

    public CaptchaValid(Boolean showCaptcha, Integer settingErrorCountCaptcha, String uuid, Integer errorCount, String captcha) {
        this.showCaptcha = showCaptcha;
        this.settingErrorCountCaptcha = settingErrorCountCaptcha;
        this.uuid = uuid;
        this.errorCount = errorCount;
        this.captcha = captcha;
    }
}
